# numeric_traits.h File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file numeric_traits.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx

## Classes

- struct __gnu_cxx::__numeric_traits< _Value >
- struct __gnu_cxx::__numeric_traits_floating< _Value >
- struct __gnu_cxx::__numeric_traits_integer< _Value >

## Defines

- #define __glibcxx_digits(_Tp)
- #define __glibcxx_max(_Tp)
- #define __glibcxx_min(_Tp)
- #define __glibcxx_signed(_Tp)
- #define _EXT_NUMERIC_TRAITS